RightDoorEvent = {};
RightDoorEvent_mt = Class(RightDoorEvent, Event);

InitEventClass(RightDoorEvent, "RightDoorEvent");

function RightDoorEvent:emptyNew()
    local self = Event:new(RightDoorEvent_mt );
    self.className="RightDoorEvent";
    return self;
end;

function RightDoorEvent:new(vehicle, DoorRight)
    self.vehicle = vehicle;
    self.DoorRight = DoorRight;
    return self;
end;

function RightDoorEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.DoorRight = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function RightDoorEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.DoorRight );
end;

function RightDoorEvent:run(connection)
    self.vehicle:setRightDoor(self.DoorRight, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(RightDoorEvent:new(self.vehicle, self.DoorRight), nil, connection, self.object);
	end;
end;

function RightDoorEvent.sendEvent(vehicle, DoorRight, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then 
			g_server:broadcastEvent(RightDoorEvent:new(vehicle, DoorRight), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(RightDoorEvent:new(vehicle, DoorRight));
		end;
	end;
end;
